Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/easy_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/easy_netcdf.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/easy_netcdf.F90	(revision 5158)
@@ -392,5 +392,5 @@
 
     ndimlens(:) = 0
-    do j = 1,ndims
+    DO j = 1,ndims
       istatus = nf90_inquire_dimension(this%ncid, idimids(j), len=ndimlens(j))
       if (istatus /= NF90_NOERR) then
@@ -404,5 +404,5 @@
     if (present(ntotal)) then
       ntotal = 1
-      do j = 1, ndims
+      DO j = 1, ndims
         ntotal = ntotal * ndimlens(j)
       end do
@@ -613,5 +613,5 @@
     ! Compute number of elements of the variable in the file
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
     end do
@@ -658,5 +658,5 @@
     ! Compute number of elements of the variable in the file
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
     end do
@@ -707,5 +707,5 @@
     ! i.e. excluding the slowest varying dimension, indexed by "index"
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
     end do
@@ -761,5 +761,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -819,5 +819,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -878,5 +878,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -938,5 +938,5 @@
     ! Ensure variable has only one dimension aside from the last one
     n = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -1021,5 +1021,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1133,5 +1133,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1202,5 +1202,5 @@
       vcount(1:2) = [ndimlen1,1]
       
-      do j = 1,ndimlen2
+      DO j = 1,ndimlen2
         vstart(2) = j
         istatus = nf90_get_var(this%ncid, ivarid, matrix(:,j), start=vstart, count=vcount)
@@ -1252,5 +1252,5 @@
     ! dimensions aside from the last one
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1376,5 +1376,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 3 .and. ndimlens(j) > 1) then
@@ -1512,5 +1512,5 @@
     ! dimensions aside from the last one
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
       if (j > 3 .and. ndimlens(j) > 1) then
@@ -1654,5 +1654,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 4 .and. ndimlens(j) > 1) then
@@ -1804,5 +1804,5 @@
 
     ! Pad with blanks since nf90_get_att does not do this
-    do j = i_attr_len+1,len(attr_str)
+    DO j = i_attr_len+1,len(attr_str)
       attr_str(j:j) = ' '
     end do
@@ -1878,5 +1878,5 @@
 
     ! Pad with blanks since nf90_get_att does not do this
-    do j = i_attr_len+1,len(attr_str)
+    DO j = i_attr_len+1,len(attr_str)
       attr_str(j:j) = ' '
     end do
@@ -2705,5 +2705,5 @@
     end if
 
-    do jdim = 1,ndims
+    DO jdim = 1,ndims
       istatus = nf90_inquire_dimension(infile%ncid, idimids(jdim), &
            &  name=dimname, len=dimlen)
@@ -2771,5 +2771,5 @@
 
     ! Map dimension IDs
-    do jdim = 1,ndims
+    DO jdim = 1,ndims
       istatus = nf90_inquire_dimension(infile%ncid, idimids_in(jdim), name=dim_name)
       if (istatus /= NF90_NOERR) then
@@ -2801,5 +2801,5 @@
 
     ! Copy attributes
-    do jattr = 1,nattr
+    DO jattr = 1,nattr
       istatus = nf90_inq_attname(infile%ncid, ivarid_in, jattr, attr_name)
       if (istatus /= NF90_NOERR) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/ecsort_shared.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/ecsort_shared.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/ecsort_shared.h	(revision 5158)
@@ -421,10 +421,10 @@
       if (imod == 0) iadd = 0
       ista(1) = 1
-      do j=2,inumt
+      DO j=2,inumt
         ista(j) = ista(j-1) + inc + iadd
         if (iadd > 0 .and. j > imod) iadd = 0
       enddo
       ista(inumt+1) = n + 1
-      do j=1,inumt
+      DO j=1,inumt
         ichunk(j) = ista(j+1) - ista(j)
       enddo
@@ -452,5 +452,5 @@
     ITID = OML_MY_THREAD()
 !$OMP DO SCHEDULE(DYNAMIC,1)
-    do j=1,inumt
+    DO j=1,inumt
       j1 = ista(j)
       inum = ichunk(j)
@@ -490,5 +490,5 @@
     inc = 2
     imax = (inumt+inc-1)/inc
-    do jj=1,imax
+    DO jj=1,imax
       if (LLdebug) write(0,1001) jj,'<before_merge> jj,inc,imax,inumt=',jj,inc,imax,inumt
 !$OMP PARALLEL PRIVATE(j,j1,j2,inum,iamax,ibmax,jmid,iret,ZHOOK_SUBHANDLE3,ITID)
@@ -496,5 +496,5 @@
       ITID = OML_MY_THREAD()
 !$OMP DO SCHEDULE(DYNAMIC,1)
-      do j=1,inumt,inc
+      DO j=1,inumt,inc
         j1 = j
         j2 = j + inc - 1
@@ -568,5 +568,5 @@
     allocate(data(n))
 !$OMP DO SCHEDULE(DYNAMIC,1)
-    do j=1,sda
+    DO j=1,sda
       data(1:n) = a(iindex(1:n),j)
       a(1:n,j) = data(1:n)
@@ -580,5 +580,5 @@
     allocate(data(n))
 !$OMP DO SCHEDULE(DYNAMIC,1)
-    do i=1,lda
+    DO i=1,lda
       data(1:n) = a(i,iindex(1:n))
       a(i,1:n) = data(1:n)
@@ -613,5 +613,5 @@
 WRITE(0,1000) jj,cdstr//': n,key,k1,k2,kadd,a(index(k1:k2)+kadd,:)=',&
      &                     n,key,k1,k2,kadd
-do j=k1,k2
+DO j=k1,k2
   i = index(j)+kadd
   WRITE(0,'(2i6)',advance='no') j,i-kadd
@@ -649,5 +649,5 @@
   i = left
   j = 2*left
-  do while (j <= right)
+  DO while (j <= right)
     if (j < right) then
       if (a(index(j)) < a(index(j+1))) j = j + 1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_lw.F90	(revision 5158)
@@ -83,5 +83,5 @@
     ! also the "source", which is the upwelling flux due to emission
     ! below that level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Next loop over columns. We could do this by indexing the
       ! entire inner dimension as follows, e.g. for the first line:
@@ -90,5 +90,5 @@
       ! routine by a factor of 2!  Rather, we do it with an explicit
       ! loop.
-      do jcol = 1,ncol
+      DO jcol = 1,ncol
         ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
         inv_denominator(jcol,jlev) = 1.0_jprb &
@@ -114,6 +114,6 @@
     ! Work back down through the atmosphere computing the fluxes at
     ! each half-level
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         ! Shonk & Hogan (2008) Eq 14 (after simplification):
         flux_dn(jcol,jlev+1) &
@@ -201,8 +201,8 @@
     ! also the "source", which is the upwelling flux due to emission
     ! below that level
-    do jlev = nlev,i_cloud_top,-1
+    DO jlev = nlev,i_cloud_top,-1
       if (is_clear_sky_layer(jlev)) then
         ! Reflectance of this layer is zero, simplifying the expression
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           albedo(jcol,jlev) = transmittance(jcol,jlev)*transmittance(jcol,jlev)*albedo(jcol,jlev+1)
           source(jcol,jlev) = source_up(jcol,jlev) &
@@ -212,5 +212,5 @@
       else
         ! Loop over columns; explicit loop seems to be faster
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
           inv_denominator(jcol,jlev) = 1.0_jprb &
@@ -231,5 +231,5 @@
     flux_up(:,i_cloud_top) = source(:,i_cloud_top) &
          &                 + albedo(:,i_cloud_top)*flux_dn(:,i_cloud_top)
-    do jlev = i_cloud_top-1,1,-1
+    DO jlev = i_cloud_top-1,1,-1
       flux_up(:,jlev) = transmittance(:,jlev)*flux_up(:,jlev+1) + source_up(:,jlev)
     end do
@@ -237,7 +237,7 @@
     ! Work back down through the atmosphere from cloud top computing
     ! the fluxes at each half-level
-    do jlev = i_cloud_top,nlev
+    DO jlev = i_cloud_top,nlev
       if (is_clear_sky_layer(jlev)) then
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           flux_dn(jcol,jlev+1) = transmittance(jcol,jlev)*flux_dn(jcol,jlev) &
                &               + source_dn(jcol,jlev)
@@ -246,5 +246,5 @@
         end do
       else
-        do jcol = 1,ncol
+        DO jcol = 1,ncol
           ! Shonk & Hogan (2008) Eq 14 (after simplification):
           flux_dn(jcol,jlev+1) &
@@ -309,6 +309,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         flux_dn(jcol,jlev+1) = transmittance(jcol,jlev)*flux_dn(jcol,jlev) + source_dn(jcol,jlev)
       end do
@@ -322,6 +322,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = nlev,1,-1
-      do jcol = 1,ncol
+    DO jlev = nlev,1,-1
+      DO jcol = 1,ncol
         flux_up(jcol,jlev) = transmittance(jcol,jlev)*flux_up(jcol,jlev+1) + source_up(jcol,jlev)
       end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_adding_ica_sw.F90	(revision 5158)
@@ -84,5 +84,5 @@
     ! half-level by working down through the atmosphere
     flux_dn_direct(:,1) = incoming_toa
-    do jlev = 1,nlev
+    DO jlev = 1,nlev
       flux_dn_direct(:,jlev+1) = flux_dn_direct(:,jlev)*trans_dir_dir(:,jlev)
     end do
@@ -100,5 +100,5 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Next loop over columns. We could do this by indexing the
       ! entire inner dimension as follows, e.g. for the first line:
@@ -107,5 +107,5 @@
       ! routine by a factor of 2!  Rather, we do it with an explicit
       ! loop.
-      do jcol = 1,ncol
+      DO jcol = 1,ncol
         ! Lacis and Hansen (1974) Eq 33, Shonk & Hogan (2008) Eq 10:
         inv_denominator(jcol,jlev) = 1.0_jprb / (1.0_jprb-albedo(jcol,jlev+1)*reflectance(jcol,jlev))
@@ -132,6 +132,6 @@
 ! Added for DWD (2020)
 !NEC$ outerloop_unroll(8)
-    do jlev = 1,nlev
-      do jcol = 1,ncol
+    DO jlev = 1,nlev
+      DO jcol = 1,ncol
         ! Shonk & Hogan (2008) Eq 14 (after simplification):
         flux_dn_diffuse(jcol,jlev+1) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics.F90	(revision 5158)
@@ -241,5 +241,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,n_type_philic
+        DO jtype = 1,n_type_philic
           ao%mass_ext_sw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype))
           ao%ssa_sw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype) &
@@ -264,5 +264,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,n_type_philic
+        DO jtype = 1,n_type_philic
           ao%mass_ext_lw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype))
           ao%ssa_lw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype) &
@@ -278,5 +278,5 @@
     if (allocated(ao%wavelength_mono)) then
       ! Monochromatic wavelengths also required
-      do jwl = 1,nmono
+      DO jwl = 1,nmono
         ! Wavelength (m) to wavenumber (cm-1)
         wavenumber_target = 0.01_jprb / ao%wavelength_mono(jwl)
@@ -290,5 +290,5 @@
         else
           iwn = 1
-          do while (wavenumber(iwn+1) < wavenumber_target .and. iwn < nwn-1)
+          DO while (wavenumber(iwn+1) < wavenumber_target .and. iwn < nwn-1)
             iwn = iwn + 1
           end do
@@ -408,5 +408,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,ao%n_type_philic
+        DO jtype = 1,ao%n_type_philic
           ao%mass_ext_sw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_sw_philic(:,:,jtype))
           ao%ssa_sw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_sw_philic(:,:,jtype) &
@@ -440,5 +440,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,ao%n_type_philic
+        DO jtype = 1,ao%n_type_philic
           ao%mass_ext_lw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_lw_philic(:,:,jtype))
           ao%ssa_lw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_lw_philic(:,:,jtype) &
@@ -560,5 +560,5 @@
       ! Aerosol mixing ratios have been provided
 
-      do jtype = 1,config%n_aerosol_types
+      DO jtype = 1,config%n_aerosol_types
         if (config%aerosol_optics%iclass(jtype) == IAerosolClassUndefined) then
           write(nulerr,'(a)') '*** Error: not all aerosol types are defined'
@@ -593,6 +593,6 @@
 
       ! Loop over position
-      do jlev = istartlev,iendlev
-        do jcol = istartcol,iendcol
+      DO jlev = istartlev,iendlev
+        DO jcol = istartcol,iendcol
           ! Compute relative humidity with respect to liquid
           ! saturation and the index to the relative-humidity index of
@@ -613,5 +613,5 @@
           scat_g_lw_aerosol = 0.0_jprb
 
-          do jtype = 1,config%n_aerosol_types
+          DO jtype = 1,config%n_aerosol_types
 
             itype = ao%itype(jtype)
@@ -623,5 +623,5 @@
             ! dimension being spectral band.
             if (ao%iclass(jtype) == IAerosolClassHydrophobic) then
-              do jband = 1,config%n_bands_sw
+              DO jband = 1,config%n_bands_sw
                 local_od_sw(jband) = factor * aerosol%mixing_ratio(jcol,jlev,jtype) &
                      &  * ao%mass_ext_sw_phobic(jband,itype)
@@ -654,5 +654,5 @@
               ! Hydrophilic aerosols require the look-up tables to
               ! be indexed with irh
-              do jband = 1,config%n_bands_sw
+              DO jband = 1,config%n_bands_sw
                 local_od_sw(jband) = factor * aerosol%mixing_ratio(jcol,jlev,jtype) &
                      &  * ao%mass_ext_sw_philic(jband,irh,itype)
@@ -700,5 +700,5 @@
           ! properties (noting that any gas scattering will have an
           ! asymmetry factor of zero)
-          do jg = 1,config%n_g_sw
+          DO jg = 1,config%n_g_sw
             iband = config%i_band_from_reordered_g_sw(jg)
             local_od = od_sw(jg,jlev,jcol) + od_sw_aerosol(iband)
@@ -725,5 +725,5 @@
                  &                         scat_g_lw_aerosol)  
 
-            do jg = 1,config%n_g_lw
+            DO jg = 1,config%n_g_lw
               iband = config%i_band_from_reordered_g_lw(jg)
               local_od = od_lw(jg,jlev,jcol) + od_lw_aerosol(iband)
@@ -740,5 +740,5 @@
             end do
           else
-            do jg = 1,config%n_g_lw
+            DO jg = 1,config%n_g_lw
               od_lw(jg,jlev,jcol) = od_lw(jg,jlev,jcol) &
                    &  + od_lw_aerosol(config%i_band_from_reordered_g_lw(jg))
@@ -830,9 +830,9 @@
 
       ! Loop over position
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-        do jlev = istartlev,iendlev
-          do jb = 1,config%n_bands_sw
+        DO jlev = istartlev,iendlev
+          DO jb = 1,config%n_bands_sw
             od_sw_aerosol(jb,jlev) = aerosol%od_sw(jb,jlev,jcol)
             scat_sw_aerosol(jb,jlev) = aerosol%ssa_sw(jb,jlev,jcol) * od_sw_aerosol(jb,jlev)
@@ -852,7 +852,7 @@
         ! properties (noting that any gas scattering will have an
         ! asymmetry factor of zero)
-        do jlev = istartlev,iendlev
+        DO jlev = istartlev,iendlev
           if (od_sw_aerosol(1,jlev) > 0.0_jprb) then
-            do jg = 1,config%n_g_sw
+            DO jg = 1,config%n_g_sw
               iband = config%i_band_from_reordered_g_sw(jg)
               local_od = od_sw(jg,jlev,jcol) + od_sw_aerosol(iband,jlev)
@@ -890,9 +890,9 @@
  
         ! Loop over position
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-          do jlev = istartlev,iendlev
-            do jb = 1,config%n_bands_lw
+          DO jlev = istartlev,iendlev
+            DO jb = 1,config%n_bands_lw
               od_lw_aerosol(jb,jlev) = aerosol%od_lw(jb,jlev,jcol)
               scat_lw_aerosol(jb,jlev) = aerosol%ssa_lw(jb,jlev,jcol) * od_lw_aerosol(jb,jlev)
@@ -903,6 +903,6 @@
             end do
           end do
-          do jlev = istartlev,iendlev
-            do jg = 1,config%n_g_lw
+          DO jlev = istartlev,iendlev
+            DO jg = 1,config%n_g_lw
               iband = config%i_band_from_reordered_g_lw(jg)
               if (od_lw_aerosol(iband,jlev) > 0.0_jprb) then
@@ -924,18 +924,18 @@
 
         ! Loop over position
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-          do jlev = istartlev,iendlev
+          DO jlev = istartlev,iendlev
             ! If aerosol longwave scattering is not included then we
             ! weight the optical depth by the single scattering
             ! co-albedo
-            do jb = 1, config%n_bands_lw
+            DO jb = 1, config%n_bands_lw
               od_lw_aerosol(jb,jlev) = aerosol%od_lw(jb,jlev,jcol) &
                  &  * (1.0_jprb - aerosol%ssa_lw(jb,jlev,jcol))
             end do
           end do
-          do jlev = istartlev,iendlev
-            do jg = 1,config%n_g_lw
+          DO jlev = istartlev,iendlev
+            DO jg = 1,config%n_g_lw
               od_lw(jg,jlev,jcol) = od_lw(jg,jlev,jcol) &
                    &  + od_lw_aerosol(config%i_band_from_reordered_g_lw(jg),jlev)
@@ -1049,5 +1049,5 @@
     if (lhook) call dr_hook('radiation_aerosol_optics:aerosol_extinction',0,hook_handle)
 
-    do jtype = 1,config%n_aerosol_types
+    DO jtype = 1,config%n_aerosol_types
       if (config%aerosol_optics%iclass(jtype) == IAerosolClassUndefined) then
         write(nulerr,'(a)') '*** Error: not all aerosol types are defined'
@@ -1067,10 +1067,10 @@
 
     ! Loop over position
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ext = 0.0_jprb
       ! Get relative-humidity index
       irh = ao%calc_rh_index(relative_humidity(jcol))
       ! Add extinction coefficients from each aerosol type
-      do jtype = 1,config%n_aerosol_types
+      DO jtype = 1,config%n_aerosol_types
         if (ao%iclass(jtype) == IAerosolClassHydrophobic) then
           ext = ext + mixing_ratio(jcol,jtype) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_data.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_data.F90	(revision 5158)
@@ -613,5 +613,5 @@
     iend   = ubound(itypes,1)
 
-    do jtype = istart, iend
+    DO jtype = istart, iend
       if (itypes(jtype) == 0) then
         call this%set_empty_type(jtype)
@@ -649,5 +649,5 @@
     else
       calc_rh_index = 1
-      do while (rh > this%rh_lower(calc_rh_index + 1))
+      DO while (rh > this%rh_lower(calc_rh_index + 1))
         calc_rh_index = calc_rh_index + 1
       end do
@@ -676,5 +676,5 @@
     end if
 
-    do jtype = 1,size(i_type_map)
+    DO jtype = 1,size(i_type_map)
       if (i_type_map(jtype) > 0) then
         write(nulout,'(i4,a,a)') jtype, ' -> hydrophobic type ', &
@@ -708,5 +708,5 @@
 
     ! Find index of first character
-    do while (i_line_current < iline)
+    DO while (i_line_current < iline)
       i_start_new = scan(str(istart:iend), new_line(' '))
       if (i_start_new == 0) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_description.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_description.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_aerosol_optics_description.F90	(revision 5158)
@@ -137,5 +137,5 @@
 
     ! Loop over hydrophilic types
-    do ja = 1,size(this%bin_philic)
+    DO ja = 1,size(this%bin_philic)
       ! Check if we have a match
       if (to_string(this%code_philic(:,ja)) == code_str &
@@ -146,5 +146,5 @@
     end do
     ! Repeat for the hydrophobic types
-    do ja = 1,size(this%bin_phobic)
+    DO ja = 1,size(this%bin_phobic)
       if (to_string(this%code_phobic(:,ja)) == code_str &
            &  .and. to_string(this%optical_model_phobic(1:len(optical_model_str),ja)) &
@@ -207,5 +207,5 @@
     if (lhydrophilic) then
       ! Loop over hydrophilic aerosol types
-      do ja = 1,size(this%bin_philic)
+      DO ja = 1,size(this%bin_philic)
         current_score = 0
         if (to_string(this%code_philic(:,ja)) == code_str) then
@@ -258,5 +258,5 @@
     else
       ! Loop over hydrophobic aerosol types
-      do ja = 1,size(this%bin_phobic)
+      DO ja = 1,size(this%bin_phobic)
         current_score = 0
         if (to_string(this%code_phobic(:,ja)) == code_str) then
@@ -325,5 +325,5 @@
     character(len=size(arr)) :: str
     integer :: jc
-    do jc = 1,size(arr)
+    DO jc = 1,size(arr)
       str(jc:jc) = arr(jc)
     end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud.F90	(revision 5158)
@@ -247,5 +247,5 @@
       ! top-of-atmosphere to surface). In case pressure_hl(:,1)=0, we
       ! don't take the logarithm of the first pressure in each column.
-      do jcol = i1,i2
+      DO jcol = i1,i2
         this%overlap_param(jcol,1) = exp(-(R_over_g/decorrelation_length) &
              &                            * thermodynamics%temperature_hl(jcol,2) &
@@ -254,6 +254,6 @@
       end do
 
-      do jlev = 2,nlev-1
-        do jcol = i1,i2
+      DO jlev = 2,nlev-1
+        DO jcol = i1,i2
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -267,6 +267,6 @@
        ! to top-of-atmosphere).  In case pressure_hl(:,nlev+1)=0, we
        ! don't take the logarithm of the last pressure in each column.
-      do jlev = 1,nlev-2
-        do jcol = i1,i2
+      DO jlev = 1,nlev-2
+        DO jcol = i1,i2
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -276,5 +276,5 @@
       end do
 
-      do jcol = i1,i2
+      DO jcol = i1,i2
         this%overlap_param(jcol,nlev-1) = exp(-(R_over_g/decorrelation_length) &
             &                            * thermodynamics%temperature_hl(jcol,nlev) &
@@ -487,5 +487,5 @@
     end if
 
-    do jcol = i1,i2
+    DO jcol = i1,i2
       eta = (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)) &
            &  * (0.5_jprb / pressure_hl(jcol,isurf))
@@ -585,5 +585,5 @@
     end if
 
-    do jcol = i1,i2
+    DO jcol = i1,i2
       eta = (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)) &
            &  * (0.5_jprb / pressure_hl(jcol,isurf))
@@ -628,14 +628,14 @@
     ntype = size(this%mixing_ratio,3)
     
-    do jlev = 1,nlev
-      do jcol = istartcol,iendcol
+    DO jlev = 1,nlev
+      DO jcol = istartcol,iendcol
         sum_mixing_ratio(jcol) = 0.0_jprb
       end do
-      do jh = 1, ntype
-        do jcol = istartcol,iendcol
+      DO jh = 1, ntype
+        DO jcol = istartcol,iendcol
           sum_mixing_ratio(jcol) = sum_mixing_ratio(jcol) + this%mixing_ratio(jcol,jlev,jh)
         end do
       end do
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         if (this%fraction(jcol,jlev)        < cloud_fraction_threshold &
              &  .or. sum_mixing_ratio(jcol) < cloud_mixing_ratio_threshold) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_cover.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_cover.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_cloud_cover.F90	(revision 5158)
@@ -157,5 +157,5 @@
     cum_product = 1.0_jprb - frac(1)
     cum_cloud_cover(1) = frac(1)
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       ! Compute the combined cloud cover of layers jlev and jlev+1
       pair_cloud_cover(jlev) = max(frac(jlev),frac(jlev+1))
@@ -240,5 +240,5 @@
     cum_product = 1.0_jprb - frac(1)
     cum_cloud_cover(1) = frac(1)
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       ! Convert to "alpha" overlap parameter if necessary
       if (do_overlap_conversion) then
@@ -256,5 +256,5 @@
 #ifdef __SX__
     end do
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
 #endif
       if (frac(jlev) >= MaxCloudFrac) then
@@ -383,5 +383,5 @@
     jlev = 1
     nobj = 0
-    do while (jlev <= nlev)
+    DO while (jlev <= nlev)
       if (frac(jlev) > min_frac) then
         ! Starting a new object: store its top
@@ -390,5 +390,5 @@
         ! Find its maximum cloud fraction
         jlev = jlev + 1
-        do while (jlev <= nlev) 
+        DO while (jlev <= nlev)
           if (frac(jlev) < frac(jlev-1)) then
             exit
@@ -398,5 +398,5 @@
         i_max_obj(nobj) = jlev - 1
         ! Find its base
-        do while (jlev <= nlev)
+        DO while (jlev <= nlev)
           if (frac(jlev) > frac(jlev-1) .or. frac(jlev) <= min_frac) then
             exit
@@ -433,5 +433,5 @@
 
         ! Compute the combined cloud cover of pairs of layers
-        do jlev = 1,nlev-1
+        DO jlev = 1,nlev-1
           pair_cloud_cover(jlev) &
                &  = overlap_param(jlev)*max(frac(jlev),frac(jlev+1)) &
@@ -442,5 +442,5 @@
         ! adjacent objects as the product of the layerwise overlap
         ! parameters between their layers of maximum cloud fraction
-        do jobj = 1,nobj-1
+        DO jobj = 1,nobj-1
           alpha_obj(jobj) &
                &  = product(overlap_param(i_max_obj(jobj):i_max_obj(jobj+1)-1))
@@ -454,5 +454,5 @@
              &                     frac(1:nlev-1), frac(2:nlev))
         ! Compute the combined cloud cover of pairs of layers
-        do jlev = 1,nlev-1
+        DO jlev = 1,nlev-1
           pair_cloud_cover(jlev) &
                &  = overlap_alpha(jlev)*max(frac(jlev),frac(jlev+1)) &
@@ -463,5 +463,5 @@
         ! adjacent objects as the product of the layerwise overlap
         ! parameters between their layers of maximum cloud fraction
-        do jobj = 1,nobj-1
+        DO jobj = 1,nobj-1
           alpha_obj(jobj) &
                &  = product(overlap_alpha(i_max_obj(jobj):i_max_obj(jobj+1)-1))
@@ -474,7 +474,7 @@
       ! of each object: this will later be converted to the cumulative
       ! cloud cover working down from TOA
-      do jobj = 1,nobj
+      DO jobj = 1,nobj
         cum_cloud_cover(i_top_obj(jobj)) = frac(i_top_obj(jobj))
-        do jlev = i_top_obj(jobj), i_base_obj(jobj)-1
+        DO jlev = i_top_obj(jobj), i_base_obj(jobj)-1
           if (frac(jlev) >= MaxCloudFrac) then
             ! Cloud cover has reached one
@@ -494,5 +494,5 @@
       ! Sequentially combine objects until there is only one left
       ! covering the full vertical extent of clouds in the profile
-      do while (nobj > 1)
+      DO while (nobj > 1)
         ! Find the most correlated adjacent pair of objects
         alpha_max = 0.0_jprb
@@ -504,5 +504,5 @@
 
         jobj = 1
-        do while (jobj < nobj)
+        DO while (jobj < nobj)
           if (alpha_obj(jobj) > alpha_max) then
             alpha_max = alpha_obj(jobj)
@@ -531,5 +531,5 @@
         ! Scale the combined cloud cover of the lower object to
         ! account for its overlap with the upper object
-        do jlev = i_top_obj(iobj2),i_base_obj(iobj2)
+        DO jlev = i_top_obj(iobj2),i_base_obj(iobj2)
           cum_cloud_cover(jlev) = cum_cloud_cover(i_base_obj(iobj1)) &
                +  cum_cloud_cover(jlev) * scaling
@@ -552,5 +552,5 @@
       ! Ensure that the combined cloud cover of pairs of layers is
       ! consistent with the overhang
-      do jlev = 1,nlev-1
+      DO jlev = 1,nlev-1
         pair_cloud_cover(jlev) = max(pair_cloud_cover(jlev), &
              &     frac(jlev)+cum_cloud_cover(jlev+1)-cum_cloud_cover(jlev))
